#!/usr/bin/perl -w
use strict;

use PhotoFolder;
use Mojo::Server::CGI;

use constant {
   DEBUGMODE      => 0,
   DOCUMENTROOT   => "/var/www/html", # Photo location
   HOMEDIR        => "/usr/share/photofolder", # Trmplates and static data location
   URIPREFIX      => "/", # URI preffix of photofolder
};

my $app = PhotoFolder->new(
      debugmode => DEBUGMODE,
      documentroot => $ENV{PHOTOFOLDER_ROOT} || $ENV{CONTEXT_DOCUMENT_ROOT} || $ENV{DOCUMENT_ROOT} || DOCUMENTROOT,
      uriprefix => $ENV{PHOTOFOLDER_PREFIX} || $ENV{PHOTOFOLDER_BASE} || $ENV{CONTEXT_PREFIX} || URIPREFIX,
      homedir => HOMEDIR,
   );
$ENV{MOJO_MODE} ||= 'production' unless $app->debugmode;

my $cgi = Mojo::Server::CGI->new( app => $app );

$cgi->run;

1;

__END__
