# General defines
%define shortnname photofolder
%define daemonname photofolder

Name:           photofolder
Version:        1.01
Release:        1%{?dist}
Summary:        photofolder - tool for publishing your personal folders with photos as web photo galleries
License:        Apache
Group:          Applications/Internet
URL:            https://www.serzik.com
Source:         https://dist.suffit.org/perl/%{name}-%{version}.tar.gz
BuildArch:      noarch

# Build
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)

# Pragmas
BuildRequires:  perl(base)
BuildRequires:  perl(constant)
BuildRequires:  perl(feature)
BuildRequires:  perl(vars)

# Runtime
BuildRequires:  perl(CTK) >= 2.03
BuildRequires:  perl(CPAN::Meta::YAML)
BuildRequires:  perl(Mojolicious)
BuildRequires:  ImageMagick-perl

# General
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(CTK) >= 2.03
Requires:       perl(CPAN::Meta::YAML)
Requires:       perl(Mojolicious)
Requires:       ImageMagick-perl


%{?perl_default_filter}


%description
The tool for publishing your personal folders with photos as web photo galleries


%prep
%setup -q -n %{name}-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name perllocal.pod -exec rm -f {} ';'
%{_fixperms} %{buildroot}/*

# Filesystem.
mkdir -p %{buildroot}%{_sharedstatedir}/%{shortnname}


# Install systemd unit files.
mkdir -p %{buildroot}%{_unitdir}
%{__install} -pDm644 src/%{daemonname}.service %{buildroot}%{_unitdir}/%{daemonname}.service
%{__install} -pDm644 src/%{daemonname}.default %{buildroot}%{_sysconfdir}/sysconfig/%{daemonname}


%check
%{__make} test


%post
%systemd_post %{daemonname}.service


%preun
%systemd_preun %{daemonname}.service


%postun
%systemd_postun_with_restart %{daemonname}.service


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes README README.md
%license LICENSE
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man3/*.3*
%{_datadir}/%{shortnname}/*
%{_unitdir}/%{daemonname}.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{daemonname}


%changelog
* Fri Dec 10 2021 Serz Minus <abalama@cpan.org> - 1.01-1
- Bug fixed: added tif format

* Tue Dec 07 2021 Serz Minus <abalama@cpan.org> - 1.00-1
- Initial release
